cmake_minimum_required(VERSION 3.13)

project(PulseLengthStatAnalyzer)

add_definitions(-DLOGIC2)

set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)

include(ExternalAnalyzerSDK)

set(SOURCES
	src/PulseLengthStatAnalyzer.cpp
	src/PulseLengthStatAnalyzer.h
	src/PulseLengthStatAnalyzerResults.cpp
	src/PulseLengthStatAnalyzerResults.h
	src/PulseLengthStatAnalyzerSettings.cpp
	src/PulseLengthStatAnalyzerSettings.h
	src/PulseLengthStatSimulationDataGenerator.cpp
	src/PulseLengthStatSimulationDataGenerator.h
)

add_analyzer_plugin(${PROJECT_NAME} SOURCES ${SOURCES})
